Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.common.btree
Class Paged.PageHeader

    java.lang.Object
      com.dbxml.db.common.btree.Paged.PageHeader

Enclosing class:
  Paged

public abstract class Paged.PageHeader
extends java.lang.Object

PageHeader

Constructor Summary
`Paged.PageHeader()`
`Paged.PageHeader(java.nio.ByteBuffer buf)`

Method Summary
`int` | `getDataLen()` The length of the Data
`int` | `getDecodedLen()` The length of the Data
`long` | `getNextPage()` The next page for this Record (if overflowed)
`int` | `getRecordLen()` The length of the Record's value
`byte` | `getStatus()` The status of this page (UNUSED, RECORD, DELETED, etc...)
`boolean` | `isDirty()`
`void` | `read(java.nio.ByteBuffer buf)`
`void` | `setDataLen(int dataLen)` The length of the Data
`void` | `setDecodedLen(int decodedLen)` The length of the Data
`void` | `setDirty()`
`void` | `setNextPage(long nextPage)` The next page for this Record (if overflowed)
`void` | `setRecordLen(int recordLen)` The length of the Record's value
`void` | `setStatus(byte status)` The status of this page (UNUSED, RECORD, DELETED, etc...)
`void` | `write(java.nio.ByteBuffer buf)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Paged.PageHeader

    public Paged.PageHeader()

### Paged.PageHeader

    public Paged.PageHeader(java.nio.ByteBuffer buf)
                     throws java.io.IOException

Method Detail

### read

    public void read(java.nio.ByteBuffer buf)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(java.nio.ByteBuffer buf)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### isDirty

    public final boolean isDirty()

### setDirty

    public final void setDirty()

### setStatus

    public final void setStatus(byte status)

  The status of this page (UNUSED, RECORD, DELETED, etc...)

### getStatus

    public final byte getStatus()

  The status of this page (UNUSED, RECORD, DELETED, etc...)

### setDecodedLen

    public final void setDecodedLen(int decodedLen)

  The length of the Data

### getDecodedLen

    public final int getDecodedLen()

  The length of the Data

### setDataLen

    public final void setDataLen(int dataLen)

  The length of the Data

### getDataLen

    public final int getDataLen()

  The length of the Data

### setRecordLen

    public void setRecordLen(int recordLen)

  The length of the Record's value

### getRecordLen

    public final int getRecordLen()

  The length of the Record's value

### setNextPage

    public final void setNextPage(long nextPage)

  The next page for this Record (if overflowed)

### getNextPage

    public final long getNextPage()

  The next page for this Record (if overflowed)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group